# ovitters remove this autoreq (caused by a pkgconfig file)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^devel\\(libedbus-private\\)|^devel\\(libedbus-private\\(64bit\\)\\)

# (wally) to fix evolution build
#define _cmake_skip_rpath %nil

%define api_version 1.2
%define ecal_api 2.0
%define edata_api 2.0

%define testmajor 0

%define camelmajor 62
%define camel_libname %mklibname camel %{api_version} %{camelmajor}

%define ebookmajor 20
%define ebook_libname %mklibname ebook %{api_version} %{ebookmajor}

%define ecalmajor 1
%define ecal_libname %mklibname ecal %{ecal_api} %{ecalmajor}

%define edatabookmajor 26
%define edatabook_libname %mklibname edata-book %{api_version} %{edatabookmajor}

%define ebook_contactsmajor 3
%define ebook_contacts_libname %mklibname ebook-contacts %{api_version} %{ebook_contactsmajor}

%define edatacalmajor 1
%define edatacal_libname %mklibname edata-cal %{api_version} %{edatacalmajor}

%define edataservermajor 25
%define edataserver_libname %mklibname edataserver %{api_version} %{edataservermajor}
%define edataserver_libnamedev %mklibname -d edataserver %{api_version}

%define edataserveruimajor 2
%define edataserverui_libname %mklibname edataserverui %{api_version} %{edataserveruimajor}

%define ebackendmajor 10
%define ebackend_libname %mklibname ebackend %{api_version} %{ebackendmajor}

%define gi_major 1.2
%define girname %mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define glib2_version 2.40.0
%define gtk3_version 3.6.0
%define gcr_version 3.4
%define gtk_doc_version 1.9
%define goa_version 3.8
%define intltool_version 0.35.5
%define libsecret_version 0.5
%define libgdata_version 0.10.0
%define libgweather_version 3.5.0
%define libical_version 3.0.9
%define libsoup_version 2.42
%define sqlite_version 3.5
%define nss_version 3.14
%define webkit2gtk_version 2.11.91
%define json_glib_version 1.0.4

Name:		evolution-data-server
Summary:	Evolution Data Server
Version:	3.38.3
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/projects/evolution/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		evolution-data-server-3.29.92-fix-desktop-file.patch
Patch10:	fix-building-doc.patch
BuildRequires:	cmake
BuildRequires:	db5-devel
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	gtk-doc >= %{gtk_doc_version}
BuildRequires:	intltool >= %{intltool_version}
BuildRequires:	db5-devel
BuildRequires:	python3
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gcr-3)  >= %{gcr_version}
BuildRequires:	pkgconfig(gcr-base-3)  >= %{gcr_version}
BuildRequires:	pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gmodule-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:	pkgconfig(goa-1.0) >= %{goa_version}
BuildRequires:	pkgconfig(libgdata) >= %{libgdata_version}
BuildRequires:	pkgconfig(gweather-3.0) >= %{libgweather_version}
BuildRequires:	pkgconfig(libical-glib) >= %{libical_version}
BuildRequires:	pkgconfig(libsecret-unstable) >= %{libsecret_version}
BuildRequires:	pkgconfig(libsoup-2.4) >= %{libsoup_version}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss) >= %{nss_version}
BuildRequires:	pkgconfig(sqlite3) >= %{sqlite_version}
BuildRequires:	pkgconfig(webkit2gtk-4.0) >= %{webkit2gtk_version}
BuildRequires:	pkgconfig(json-glib-1.0) >= %{json_glib_version}
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(krb5) >= 1.11
# evolution requires gnome-keyring during runtime but doesn't require it
Requires:       gnome-keyring
# /xdg/autostart/org.gnome.Evolution-alarm-notify.desktop moved
# from evolution to evolution-data-server
Conflicts:      evolution < 3.29.4

%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{camel_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{camel_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ecal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ecal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_contacts_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebook_contacts_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatabook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edatabook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatacal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edatacal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	gsettings-desktop-schemas

%description -n %{edataserver_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserverui_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{edataserverui_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebackend_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebackend_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libnamedev}
Summary:	Development files for building against %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires:	%{camel_libname} = %{version}
Requires:	%{ebook_libname} = %{version}
Requires:	%{ecal_libname} = %{version}
Requires:	%{edatabook_libname} = %{version}
Requires:	%{edatacal_libname} = %{version}
Requires:	%{edataserver_libname} = %{version}
Requires:	%{edataserverui_libname} = %{version}
Requires:	%{ebackend_libname} = %{version}
Requires:	%{girname} = %{version}
Requires:	pkgconfig(goa-1.0) >= %{goa_version}
Requires:	pkgconfig(libgdata) >= %{libgdata_version}
Requires:	pkgconfig(gweather-3.0) >= %{libgweather_version}
Requires:	pkgconfig(libical-glib) >= %{libical_version}
Requires:	pkgconfig(libsecret-unstable) >= %{libsecret_version}
Requires:	pkgconfig(libsoup-2.4) >= %{libsoup_version}
Requires:	pkgconfig(sqlite3) >= %{sqlite_version}
Requires:	pkgconfig(webkit2gtk-4.0) >= %{webkit2gtk_version}
Requires:	pkgconfig(json-glib-1.0) >= %{json_glib_version}
Provides:	lib%{name}-devel	= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libedataserver-devel = %version-%release

%description -n %{edataserver_libnamedev}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package tests
Summary: Tests for the %{name} package
Group: Development/Other
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -p1

%build
# See Ross Burton's blog entry for why we want --with-libdb.
# http://www.burtonini.com/blog//computers/eds-libdb-2006-07-18-10-40

%cmake -G "Unix Makefiles" \
	-DENABLE_MAINTAINER_MODE=OFF \
	-DENABLE_UOA=OFF \
	-DWITH_LIBDB=/usr \
	-DENABLE_FILE_LOCKING=fcntl \
	-DENABLE_DOT_LOCKING=OFF \
	-DENABLE_INTROSPECTION=ON \
	-DENABLE_VALA_BINDINGS=ON \
	-DENABLE_INSTALLED_TESTS=ON \
	-DWITH_KRB5=ON \
	-DWITH_OPENLDAP=ON \
	-DWITH_STATIC_LDAP=OFF \
	-DENABLE_LARGEFILE=ON \
	-DENABLE_SMIME=ON \
	-DENABLE_GTK_DOC=ON

%cmake_build

%install
%cmake_install

# give the libraries some executable bits
find %{buildroot} -name '*.so.*' -exec chmod +x {} \;

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS
%{_libdir}/%{name}/
%{_libexecdir}/camel-gpg-photo-saver
%{_libexecdir}/camel-index-control-%{api_version}
%{_libexecdir}/evolution-addressbook-factory
%{_libexecdir}/evolution-calendar-factory
%{_libexecdir}/evolution-addressbook-factory-subprocess
%{_libexecdir}/evolution-calendar-factory-subprocess
%{_libexecdir}/evolution-source-registry
%{_libexecdir}/evolution-user-prompter
%{_libexecdir}/evolution-scan-gconf-tree-xml
%{_libexecdir}/evolution-data-server/
%attr(2755,root,mail) %{_libexecdir}/camel-lock-helper-%{api_version}
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.AddressBook*.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Calendar*.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Sources*.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.UserPrompter*.service
%{_datadir}/GConf/gsettings/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pixmaps/%{name}
%{_userunitdir}/evolution-addressbook-factory.service
%{_userunitdir}/evolution-calendar-factory.service
%{_userunitdir}/evolution-source-registry.service
%{_userunitdir}/evolution-user-prompter.service
%{_sysconfdir}/xdg/autostart/org.gnome.Evolution-alarm-notify.desktop
%{_datadir}/applications/org.gnome.Evolution-alarm-notify.desktop

%files -n %{camel_libname}
%{_libdir}/libcamel-%{api_version}.so.%{camelmajor}{,.*}

%files -n %{ebook_libname}
%{_libdir}/libebook-%{api_version}.so.%{ebookmajor}{,.*}

%files -n %{ecal_libname}
%{_libdir}/libecal-%{ecal_api}.so.%{ecalmajor}{,.*}

%files -n %{ebook_contacts_libname}
%{_libdir}/libebook-contacts-%{api_version}.so.%{ebook_contactsmajor}{,.*}

%files -n %{edatabook_libname}
%{_libdir}/libedata-book-%{api_version}.so.%{edatabookmajor}{,.*}

%files -n %{edatacal_libname}
%{_libdir}/libedata-cal-%{edata_api}.so.%{edatacalmajor}{,.*}

%files -n %{edataserver_libname}
%{_libdir}/libedataserver-%{api_version}.so.%{edataservermajor}{,.*}

%files -n %{edataserverui_libname}
%{_libdir}/libedataserverui-%{api_version}.so.%{edataserveruimajor}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Camel-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBackend-1.2.typelib
%{_libdir}/girepository-1.0/EBook-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBookContacts-%{gi_major}.typelib
%{_libdir}/girepository-1.0/ECal-2.0.typelib
%{_libdir}/girepository-1.0/EDataBook-1.2.typelib
%{_libdir}/girepository-1.0/EDataCal-2.0.typelib
%{_libdir}/girepository-1.0/EDataServer-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EDataServerUI-%{gi_major}.typelib

%files -n %{ebackend_libname}
%{_libdir}/libebackend-%{api_version}.so.%{ebackendmajor}{,.*}

%files -n %{edataserver_libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/Camel-%{gi_major}.gir
%{_datadir}/gir-1.0/EBackend-1.2.gir
%{_datadir}/gir-1.0/EDataServer-%{gi_major}.gir
%{_datadir}/gir-1.0/EBook-%{gi_major}.gir
%{_datadir}/gir-1.0/EBookContacts-%{gi_major}.gir
%{_datadir}/gir-1.0/ECal-2.0.gir
%{_datadir}/gir-1.0/EDataBook-1.2.gir
%{_datadir}/gir-1.0/EDataCal-2.0.gir
%{_datadir}/gir-1.0/EDataServerUI-%{gi_major}.gir
%{_datadir}/vala/vapi/camel-%{gi_major}.deps
%{_datadir}/vala/vapi/camel-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebackend-%{gi_major}.deps
%{_datadir}/vala/vapi/libebackend-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebook-%{gi_major}.deps
%{_datadir}/vala/vapi/libebook-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebook-contacts-%{gi_major}.deps
%{_datadir}/vala/vapi/libebook-contacts-%{gi_major}.vapi
%{_datadir}/vala/vapi/libecal-2.0.deps
%{_datadir}/vala/vapi/libecal-2.0.vapi
%{_datadir}/vala/vapi/libedata-book-%{gi_major}.deps
%{_datadir}/vala/vapi/libedata-book-%{gi_major}.vapi
%{_datadir}/vala/vapi/libedata-cal-2.0.deps
%{_datadir}/vala/vapi/libedata-cal-2.0.vapi
%{_datadir}/vala/vapi/libedataserver-%{gi_major}.deps
%{_datadir}/vala/vapi/libedataserver-%{gi_major}.vapi
%{_datadir}/vala/vapi/libedataserverui-%{gi_major}.deps
%{_datadir}/vala/vapi/libedataserverui-%{gi_major}.vapi

%files tests
%{_libdir}/libetestserverutils.so.%{testmajor}{,.*}
%{_libexecdir}/%{name}/installed-tests
%{_datadir}/installed-tests


%changelog
* Sat Jan 23 2021 tmb <tmb> 3.38.3-2.mga8
+ Revision: 1673078
- rebuild for new libical

* Fri Jan 08 2021 ovitters <ovitters> 3.38.3-1.mga8
+ Revision: 1669766
- new version 3.38.3

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3.38.2-2.mga8
+ Revision: 1650882
- rebuild for icu

* Fri Nov 20 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1647891
- new version 3.38.2

* Fri Oct 02 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1631575
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624391
- new version 3.38.0

* Fri Sep 04 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1621543
- new version 3.37.92

* Wed Aug 12 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1613730
- bump major (rebuild galore :-p)
- new version 3.37.90

* Fri Aug 07 2020 ovitters <ovitters> 3.36.5-1.mga8
+ Revision: 1611828
- new version 3.36.5

* Fri Jul 03 2020 ovitters <ovitters> 3.36.4-1.mga8
+ Revision: 1601562
- new version 3.36.4

* Wed Jul 01 2020 wally <wally> 3.36.3-2.mga8
+ Revision: 1601019
- rebuild for icu 67.1

* Fri May 29 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1588843
- new version 3.36.3

* Fri Apr 24 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571585
- new version 3.36.2

* Sat Apr 04 2020 wally <wally> 3.36.1-2.mga8
+ Revision: 1564455
- rebuild for new icu 66.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 27 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1560993
- new version 3.36.1

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554328
- new version 3.36.0

* Fri Feb 28 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1551387
- new version 3.35.92

* Mon Feb 24 2020 tv <tv> 3.35.91-1.mga8
+ Revision: 1549833
- 3.35.91

* Tue Feb 18 2020 umeabot <umeabot> 3.34.4-2.mga8
+ Revision: 1541983
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1518610
- new version 3.34.4

* Fri Jan 03 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1475821
- new version 3.34.3
+ wally <wally>
- build with new cmake macros

* Fri Nov 22 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1462086
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450114
- new version 3.34.1

* Sat Oct 05 2019 daviddavid <daviddavid> 3.34.0-2.mga8
+ Revision: 1449438
- rebuild for new icu 65.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438793
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436250
- new version 3.33.92

* Mon Aug 19 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1430022
- new version 3.33.91
- dropped merged patch evolution-data-server-3.33.90-cflags-to-gtkdoc-scangobj.patch

* Thu Aug 08 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1428174
- patch 10: fix building doc
- new release

* Mon Jul 15 2019 ovitters <ovitters> 3.32.4-1.mga8
+ Revision: 1421576
- new version 3.32.4

* Tue Jul 02 2019 ovitters <ovitters> 3.32.3-1.mga8
+ Revision: 1417736
- new version 3.32.3

* Wed May 08 2019 tmb <tmb> 3.32.2-1.mga7
+ Revision: 1396771
- update to 3.32.2

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1386793
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373940
- new version 3.32.0

* Sat Mar 09 2019 tmb <tmb> 3.31.92-1.mga7
+ Revision: 1373390
- e-d-s major is 24
- update to 3.31.92

* Mon Feb 04 2019 ovitters <ovitters> 3.30.5-1.mga7
+ Revision: 1363056
- new version 3.30.5

* Mon Jan 07 2019 ovitters <ovitters> 3.30.4-1.mga7
+ Revision: 1350740
- new version 3.30.4

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.30.3-2.mga7
+ Revision: 1346090
- rebuild for icu

* Mon Dec 10 2018 ovitters <ovitters> 3.30.3-1.mga7
+ Revision: 1339669
- new version 3.30.3

* Mon Oct 22 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1323559
- new version 3.30.2

* Mon Sep 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303399
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256389
- new version 3.30.0

* Tue Aug 28 2018 ovitters <ovitters> 3.29.92-2.mga7
+ Revision: 1255290
- new version 3.29.92

* Mon Aug 20 2018 tv <tv> 3.29.91-1.mga7
+ Revision: 1253064
- rebuild for new libicu
+ ovitters <ovitters>
- new version 3.29.91

* Mon Jul 30 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1245979
- new version 3.29.90

* Sun Jul 22 2018 wally <wally> 3.29.4-2.mga7
+ Revision: 1244792
- add conflicts as files moved between evolution and evolution-data-server

* Sat Jul 21 2018 guillomovitch <guillomovitch> 3.29.4-1.mga7
+ Revision: 1244703
- new version 3.29.4
+ ovitters <ovitters>
- new version 3.28.4

* Mon Jun 18 2018 ovitters <ovitters> 3.28.3-1.mga7
+ Revision: 1237712
- new version 3.28.3

* Mon May 07 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1226972
- new version 3.28.2

* Fri Apr 27 2018 wally <wally> 3.28.1-2.mga7
+ Revision: 1222934
- don't require webkit1

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216495
- new version 3.28.1

* Sat Apr 07 2018 kekepower <kekepower> 3.28.0-2.mga7
+ Revision: 1215943
- Rebuild for new libical

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208278
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206667
- new version 3.27.92

* Mon Feb 19 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1203003
- new version 3.27.91

* Mon Feb 19 2018 daviddavid <daviddavid> 3.27.90-2.mga7
+ Revision: 1202918
- rebuild for new libgweather 3.27.4

* Wed Feb 14 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1201270
- bump majors
- new version 3.27.90

* Mon Feb 05 2018 ovitters <ovitters> 3.26.5-1.mga7
+ Revision: 1198970
- new version 3.26.5

* Mon Jan 08 2018 ovitters <ovitters> 3.26.4-1.mga7
+ Revision: 1191507
- new version 3.26.4

* Fri Dec 29 2017 wally <wally> 3.26.3-2.mga7
+ Revision: 1186970
- rebuild for new icu

* Mon Dec 11 2017 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1182190
- new version 3.26.3

* Mon Nov 06 2017 wally <wally> 3.26.2.1-2.mga7
+ Revision: 1176292
- drop devel files from tests pkg

* Tue Oct 31 2017 ovitters <ovitters> 3.26.2.1-1.mga7
+ Revision: 1175112
- new version 3.26.2.1
+ wally <wally>
- drop old and unneeded obsoletes

* Mon Oct 30 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1174935
- new version 3.26.2

* Mon Oct 02 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1162680
- new version 3.26.1

* Sun Oct 01 2017 wally <wally> 3.26.0-5.mga7
+ Revision: 1162247
- enable rpath (fixes evolution build)
- build with same build options than before switchin to cmake

* Sun Sep 24 2017 tv <tv> 3.26.0-4.mga7
+ Revision: 1158401
- adjust filelist
- adjust filelist
- adjust BRs
- bump majors
- switch to cmake
- fix calling find_lang
- new release
+ ovitters <ovitters>
- new version 3.24.6
- new version 3.24.4
- new version 3.24.2
- new version 3.24.1
- new version 3.24.0

* Mon Mar 20 2017 ovitters <ovitters> 3.22.7-1.mga6
+ Revision: 1093767
- new version 3.22.7

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 3.22.6-2.mga6
+ Revision: 1093084
- Rebuild for icu-58.2

* Mon Mar 13 2017 ovitters <ovitters> 3.22.6-1.mga6
+ Revision: 1092318
- new version 3.22.6

* Mon Feb 13 2017 ovitters <ovitters> 3.22.5-1.mga6
+ Revision: 1085949
- new version 3.22.5

* Mon Jan 16 2017 ovitters <ovitters> 3.22.4-1.mga6
+ Revision: 1082046
- new version 3.22.4

* Mon Dec 12 2016 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1074354
- new version 3.22.3

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065585
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059915
- new version 3.22.1

* Mon Sep 26 2016 tv <tv> 3.22.0-3.mga6
+ Revision: 1056838
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Mon Sep 19 2016 tv <tv> 3.22.0-2.mga6
+ Revision: 1054143
- rebuid for proper typelib() provides

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054113
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053974
- new version 3.21.91

* Mon Jul 11 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1041183
- new version 3.20.4

* Sun Jun 12 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1021271
- new version 3.20.3

* Sat May 14 2016 shlomif <shlomif> 3.20.2-2.mga6
+ Revision: 1015294
- Rebuild for the new UCI (new major)

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011181
- new version 3.20.2

* Fri Apr 22 2016 tv <tv> 3.20.1-3.mga6
+ Revision: 1004990
- make devel pkg pull same devel pkgs as in FC

* Fri Apr 22 2016 tv <tv> 3.20.1-2.mga6
+ Revision: 1004988
- remove obsolete BuildRequires
- BR icu + libsecret-unstable

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000228
- new version 3.20.1

* Mon Mar 21 2016 tv <tv> 3.20.0-2.mga6
+ Revision: 993690
- bump release
+ ovitters <ovitters>
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990443
- new version 3.19.92

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980749
- new version 3.19.91

* Mon Feb 15 2016 daviddavid <daviddavid> 3.19.90-1.mga6
+ Revision: 961152
- camel major is 57
+ ovitters <ovitters>
- new version 3.19.90

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927316
- camel major is 55
- rebuild for libical
+ ovitters <ovitters>
- new version 3.19.4

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.19.3-2.mga6
+ Revision: 917828
- rebuild for icu

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910356
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905246
- new version 3.19.2
- patch 1 hopefully not needed anymore

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899702
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889879
- new version 3.18.1

* Wed Sep 23 2015 fwang <fwang> 3.18.0-1.mga6
+ Revision: 882365
- bump req
- 3.18.0

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879365
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871441
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866959
- update majors
- new version 3.17.90

* Mon Aug 10 2015 ovitters <ovitters> 3.16.5-1.mga6
+ Revision: 862390
- new version 3.16.5

* Fri Jul 24 2015 sander85 <sander85> 3.16.4-1.mga6
+ Revision: 856922
- New version: 3.16.4

* Sun Jun 28 2015 wally <wally> 3.16.3-3.mga6
+ Revision: 847171
- add requires for gir pkg to devel pkg

* Wed Jun 24 2015 ovitters <ovitters> 3.16.3-2.mga6
+ Revision: 842463
- rebuild for gdata
- ensure build with gweather

* Sat Jun 20 2015 ovitters <ovitters> 3.16.3-1.mga6
+ Revision: 836404
- new version 3.16.3
- new version 3.15.92

* Mon Feb 16 2015 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 815256
- new version 3.13.90

* Mon Jan 26 2015 ovitters <ovitters> 3.13.10-1.mga5
+ Revision: 812268
- new version 3.13.10

* Wed Dec 24 2014 ovitters <ovitters> 3.13.9-3.mga5
+ Revision: 805264
- fix autorequires thanks to tv

* Mon Dec 22 2014 ovitters <ovitters> 3.13.9-2.mga5
+ Revision: 804893
- readd patch

* Mon Dec 22 2014 ovitters <ovitters> 3.13.9-1.mga5
+ Revision: 804813
- new version 3.13.9

* Mon Nov 03 2014 doktor5000 <doktor5000> 3.13.6-5.mga5
+ Revision: 795364
- add Requires on gnome-keyring (mga#10360)

* Wed Oct 15 2014 umeabot <umeabot> 3.13.6-4.mga5
+ Revision: 749736
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 3.13.6-3.mga5
+ Revision: 732910
- revert upstream's commit 'Build libedbus-private.la as a shared library'

* Tue Sep 30 2014 wally <wally> 3.13.6-2.mga5
+ Revision: 732817
- add libedbus-private fixes from upstream

* Tue Sep 30 2014 tv <tv> 3.13.6-1.mga5
+ Revision: 732775
- rebuild so that it picks typelib() requires
+ ovitters <ovitters>
- new version 3.13.6

* Tue Sep 16 2014 umeabot <umeabot> 3.13.5-2.mga5
+ Revision: 679051
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 ovitters <ovitters> 3.13.5-1.mga5
+ Revision: 667302
- new version 3.13.5

* Tue Jul 29 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 658047
- change ebackend major to 9
- change edataserver major to 19
- change edata-cal major to 26
- change edata-book major to 24
- change ecal major to 17
- change ebook major to 15
- new version 3.13.4
- automatically determine api version

* Mon Jun 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 638803
- bump libcamel major
- new version 3.13.3

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627168
- new version 3.13.2

* Sun May 11 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622013
- new version 3.12.2

* Sun Apr 13 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613825
- new version 3.12.1

* Sat Apr 05 2014 wally <wally> 3.12.0-2.mga5
+ Revision: 611925
- rebuild for new icu

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606681
- new version 3.12.0

* Sun Mar 16 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604265
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 598655
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593235
- new version 3.11.90

* Thu Feb 06 2014 tv <tv> 3.11.5-3.mga5
+ Revision: 584364
- rebuild for new gdata

* Thu Feb 06 2014 tv <tv> 3.11.5-2.mga5
+ Revision: 584360
- rebuild for new gdata

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583868
- update major
- new version 3.11.5

* Tue Feb 04 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 582682
- new version 3.10.3

* Sun Nov 10 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550409
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541634
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 496280
- new version 3.10.1

* Sat Sep 21 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 482971
- new version 3.10.0

* Sun Sep 15 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 479887
- new version 3.9.92

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474464
- new version 3.9.91

* Sun Aug 18 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 467478
- update libmajor
+ ovitters <ovitters>
- new version 3.9.90

* Sun Aug 04 2013 fwang <fwang> 3.9.5-3.mga4
+ Revision: 463245
- do not use vala pkgconfig

* Wed Jul 31 2013 fwang <fwang> 3.9.5-2.mga4
+ Revision: 461393
- rebuild for new gweather

* Sun Jul 28 2013 dams <dams> 3.9.5-1.mga4
+ Revision: 459832
- update edatacalmajor
- update ecalmajor
+ ovitters <ovitters>
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458631
- new version 3.9.4
- update camelmajor
- update edatabookmajor
- update edatacalmajor

* Tue Jul 23 2013 ovitters <ovitters> 3.8.4-1.mga4
+ Revision: 457465
- new version 3.8.4

* Mon Jul 01 2013 dams <dams> 3.8.3-3.mga4
+ Revision: 449498
- rebuild for new 'libgweather'

* Mon Jul 01 2013 dams <dams> 3.8.3-2.mga4
+ Revision: 449207
- enable vala bindings
- enable gweather

* Sat Jun 08 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440690
- new version 3.8.3

* Sun Jun 02 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 434336
- rebuild for new ical

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427108
- update file list
- disable Ubuntu Online Accounts support
- new version 3.8.2

* Mon Jan 21 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 390595
- new version 3.6.3

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 349804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 pterjan <pterjan> 3.6.2-2.mga3
+ Revision: 338390
- Fix for _libdir != _libexecdir

* Sun Nov 11 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317025
- new version 3.6.2

* Sun Oct 14 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 305275
- new version 3.6.1

* Thu Oct 11 2012 ovitters <ovitters> 3.6.0-2.mga3
+ Revision: 304679
- add require on gsettings-desktop-schemas (mga#7766)

* Sat Sep 22 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 296726
- new version 3.6.0

* Sun Sep 16 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 294456
- new version 3.5.92

* Sat Sep 01 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 286978
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-2.mga3
+ Revision: 282449
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279156
- update ebackend major
- new version 3.5.5

* Mon Jul 30 2012 tv <tv> 3.5.4-2.mga3
+ Revision: 276247
- rebuild for db-5.3

* Mon Jul 16 2012 fwang <fwang> 3.5.4-1.mga3
+ Revision: 271217
- update libmajor
+ ovitters <ovitters>
- new version 3.5.4

* Mon Jul 02 2012 colin <colin> 3.5.3.1-5.mga3
+ Revision: 266808
- Remove unneeded Obsoletes/Conflicts now that library names differ
- Update lib packages to follow library policy (add api numbers)

* Mon Jul 02 2012 ovitters <ovitters> 3.5.3.1-4.mga3
+ Revision: 266605
- remove old obsoletes
- add conflict to remove edataserverui1

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3.1-3.mga3
+ Revision: 266175
- remove very old obsoletes

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3.1-2.mga3
+ Revision: 266149
- rebuild to fix missing upload

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3.1-1.mga3
+ Revision: 266134
- update file list
- update even more majors
- update more majors
- update camel major
- update file list
- clean spec
- disable gweather backend; does not work against 3.5
- new version 3.5.3.1
- br gcr-base-3
- new version 3.5.3

* Mon Jun 18 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 261393
- new version 3.4.3

* Thu Jun 14 2012 tv <tv> 3.4.2-2.mga3
+ Revision: 260511
- build with db5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235652
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231004
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226531
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224283
- new version 3.3.92
- clean spec

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219690
- new version 3.3.91

* Mon Feb 20 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211170
- update file list
- new version 3.3.90

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205293
- new version 3.3.5

* Mon Jan 16 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 196952
- new version 3.3.4

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184684
- new version 3.3.3

* Mon Nov 21 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170239
- update libmajor
- new version 3.3.2

* Fri Oct 28 2011 wally <wally> 3.3.1.1-2.mga2
+ Revision: 159323
- rebuild to fix pkg names

* Fri Oct 28 2011 wally <wally> 3.3.1.1-1.mga2
+ Revision: 159263
- new version 3.3.1.1
- new majors

* Sun Oct 16 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155527
- new version 3.2.1

* Sun Sep 25 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147601
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145433
- new version 3.1.92

* Fri Sep 16 2011 wally <wally> 3.1.91-2.mga2
+ Revision: 144300
- rebuild with new glib

* Sun Sep 04 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138363
- new version 3.1.91

* Mon Aug 29 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136107
- new version 3.1.90
- update file list
- new version 3.1.5
- update camel major
- update br
- new version 3.1.4

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.3-3.mga2
+ Revision: 119862
- Rebuild against new rpm-setup

* Wed Jul 06 2011 dmorgan <dmorgan> 3.1.3-2.mga2
+ Revision: 119091
- Fix file list
  Add gir package
- Fix libgdata minimum version
- add liboauth-devel as BuildRequires
- Enable goa

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-1.mga2
+ Revision: 118764
- Fix majors of edataserverui and camel
- New version 3.1.3

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118322
- Fix file lists
- Comment dead package
- Fix file lists
- Remove old/unused patch
- New version 3.1.2
- New version 3.1.2

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2.1-1.mga2
+ Revision: 102084
- Sync buildrequires with fedora
- New version 3.0.2.1

* Fri Apr 15 2011 dams <dams> 2.32.2-1.mga1
+ Revision: 85578
- Update to 2.32.2

* Fri Mar 25 2011 dmorgan <dmorgan> 2.32.1-2.mga1
+ Revision: 77184
- Rebuild to fix broken requires(auto)

* Sun Jan 16 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 20516
- Drop obsolete Obsoletes
- imported package evolution-data-server

